{
    "$graph": [
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/CompPASS_R"
                },
                {
                    "type": "File",
                    "id": "#main/CompPASS_pre_R"
                },
                {
                    "type": "string",
                    "default": "charlotte.adams@student.uantwerpen.be",
                    "id": "#main/email"
                },
                {
                    "type": "string",
                    "default": "CSV",
                    "id": "#main/fileType"
                },
                {
                    "type": "string",
                    "default": "ACC",
                    "id": "#main/from"
                },
                {
                    "type": "File",
                    "id": "#main/id_remapper_py"
                },
                {
                    "type": "string",
                    "id": "#main/protein_directory_path"
                },
                {
                    "type": "string",
                    "default": "remapped_identifiers.csv",
                    "id": "#main/remapped_identifiers"
                },
                {
                    "type": "string",
                    "default": "GENENAME",
                    "id": "#main/to"
                }
            ],
            "steps": [
                {
                    "run": "#CompPASS.cwl",
                    "in": [
                        {
                            "source": "#main/CompPASS_R",
                            "id": "#main/CompPASS/CompPASS_R"
                        },
                        {
                            "source": "#main/id_remapper/remapped_identifiers_csv",
                            "id": "#main/CompPASS/gene_names"
                        },
                        {
                            "source": "#main/protein_directory_path",
                            "id": "#main/CompPASS/protein_directory_path"
                        }
                    ],
                    "out": [
                        "#main/CompPASS/CompPASS_csv"
                    ],
                    "id": "#main/CompPASS"
                },
                {
                    "run": "#CompPASS_pre.cwl",
                    "in": [
                        {
                            "source": "#main/CompPASS_pre_R",
                            "id": "#main/CompPASS_pre/CompPASS_pre_R"
                        },
                        {
                            "source": "#main/protein_directory_path",
                            "id": "#main/CompPASS_pre/protein_directory_path"
                        }
                    ],
                    "out": [
                        "#main/CompPASS_pre/protein_accessions_csv"
                    ],
                    "id": "#main/CompPASS_pre"
                },
                {
                    "run": "#id_remapper.cwl",
                    "in": [
                        {
                            "source": "#main/email",
                            "id": "#main/id_remapper/email"
                        },
                        {
                            "source": "#main/fileType",
                            "id": "#main/id_remapper/fileType"
                        },
                        {
                            "source": "#main/from",
                            "id": "#main/id_remapper/from"
                        },
                        {
                            "source": "#main/id_remapper_py",
                            "id": "#main/id_remapper/id_remapper_py"
                        },
                        {
                            "source": "#main/CompPASS_pre/protein_accessions_csv",
                            "id": "#main/id_remapper/protein_accessions_csv"
                        },
                        {
                            "source": "#main/remapped_identifiers",
                            "id": "#main/id_remapper/remapped_identifiers"
                        },
                        {
                            "source": "#main/to",
                            "id": "#main/id_remapper/to"
                        }
                    ],
                    "out": [
                        "#main/id_remapper/remapped_identifiers_csv"
                    ],
                    "id": "#main/id_remapper"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/CompPASS/CompPASS_csv",
                    "id": "#main/CompPASS_csv"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "Rscript"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#CompPASS.cwl/CompPASS_R"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#CompPASS.cwl/gene_names"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#CompPASS.cwl/protein_directory_path"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "CompPASS.csv"
                    },
                    "id": "#CompPASS.cwl/CompPASS_csv"
                }
            ],
            "id": "#CompPASS.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "Rscript"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#CompPASS_pre.cwl/CompPASS_pre_R"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#CompPASS_pre.cwl/protein_directory_path"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "protein_accessions.csv"
                    },
                    "id": "#CompPASS_pre.cwl/protein_accessions_csv"
                }
            ],
            "id": "#CompPASS_pre.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "python3"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 6,
                        "prefix": "-e"
                    },
                    "id": "#id_remapper.cwl/email"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 7,
                        "prefix": "--output-format"
                    },
                    "id": "#id_remapper.cwl/fileType"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 3,
                        "prefix": "-f"
                    },
                    "id": "#id_remapper.cwl/from"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#id_remapper.cwl/id_remapper_py"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2,
                        "prefix": "-i"
                    },
                    "id": "#id_remapper.cwl/protein_accessions_csv"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 5,
                        "prefix": "-o"
                    },
                    "id": "#id_remapper.cwl/remapped_identifiers"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 4,
                        "prefix": "-t"
                    },
                    "id": "#id_remapper.cwl/to"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.remapped_identifiers)"
                    },
                    "id": "#id_remapper.cwl/remapped_identifiers_csv"
                }
            ],
            "id": "#id_remapper.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
